Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

limit
integer
default:25
Required range: 1 <= x <= 250
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

List sessions

id
string<cuid2>
required
Maximum string length: 24
createdAt
required
Example:

"2023-12-25T00:00:00.000Z"

updatedAt
required
Example:

"2023-12-25T00:00:00.000Z"

name
string
required
Maximum string length: 255
type
enum<string>
required
Available options:
INBOUND_CALL,
WEB_VOICE
status
enum<string>
required
Available options:
PENDING,
IN_PROGRESS,
COMPLETED
completedAt
required
Example:

"2023-12-25T00:00:00.000Z"

lastHeartbeatAt
required
Example:

"2023-12-25T00:00:00.000Z"

startedAt
required
Example:

"2023-12-25T00:00:00.000Z"

endedAt
required
Example:

"2023-12-25T00:00:00.000Z"

recordAudio
boolean
required
isDemo
boolean
required
agentId
string
required
Maximum string length: 24
agentVersionId
string
required
Maximum string length: 24
workspaceId
string<cuid2>
required
Maximum string length: 24
personId
string
required
Maximum string length: 24
conversationId
string
required
Maximum string length: 24
agent
object
required
conversation
object
required
person
object
required
ledger
object | null
required
completedMeta
object | null